local prgname = "|cffffd200gmClearChat|r"
SLASH_GMCLEARCHAT1 = "/gmcc"

SlashCmdList.GMCLEARCHAT = function(args)

	local cmd=SecureCmdOptionParse(args)
	cmd=cmd:lower()	
		
	if cmd == "all" then 

		for i = 1, NUM_CHAT_WINDOWS do
			local f = _G["ChatFrame"..i]
			f:Clear()
		end
		
	elseif cmd == "cur" then 
	
		SELECTED_CHAT_FRAME:Clear()	
	
	elseif cmd == "log" then
	
		CombatLogClearEntries()
	
	elseif cmd ~= "" and (tonumber(cmd) > 0 and tonumber(cmd) < 8) then
	
		local f = _G["ChatFrame"..cmd]
		f:Clear()
		
	else
	
		print("")
		print(prgname)
		print("/gmcc     - This helps")	
		print("/gmcc all - Clears all chats")	
		print("/gmcc cur - Clears current chat")
		print("/gmcc log - Clears combat logs")		
		print("/gmcc 1-7 - Clears chat number")

		
	end
	
end
